Subject: RE: bug#20697: 25.0.50; Mention `M-x report-emacs-bug' on splash screen

From: Drew Adams <[email-masked]>
Date: Sat, 28 Sep 2019 17:42:10 -0700 (PDT)

> I largely agree with what you're saying; thanks for spelling it out.
> 
> I see two options to move forward here:
> 
> 1. Add a new item (or reformulate an old one) on the splash screen.
> 2. Add something to the "Contributing" page about feature suggestions.
> 
> I'm not too enthusiastic about option 1, but I've re-attached my patch
> which tries to do 2.  (They are not mutually exclusive.)
> 
> Any other opinions, please?

Thanks for reconsidering, and for working on this.

Wrt #1 & #2: Neither is perfect:

#1: People breeze past the splash screen.
    (But see below.)
#2: A user needs to have somehow found node
    (emacs) `Contributing'.  Not obvious for a
    newbie (but see below).

Wrt your patch (#2): +1 in favor of it.

You might want to say "attracting interest from 
volunteer Emacs developers", instead of "from
one of many" (why one?).

Or maybe - why mention two separate hurdles:
getting your suggestion "accepted" and getting
someone to work on it?  Consider just removing
that whole sentence, keeping only the first one,
which invites suggestions that are clear and
that provide a "why".

Wrt #1: People might not notice a mention on
the splash screen, and even if they do they
might not have a clue how to show it again,
apart from restarting Emacs.

But they might well look into the `Help' menu.

The `Help' menu is the most likely place a new
user will look for info about how to contribute
or contact Emacs developers.  Even if they know
nothing about Info or how to get to the splash
screen, they will find the `Help' menu.

On the `Help' menu we have `How to Report a
Bug' and `Send Bug Report...'.  That's 2 menu
items to help users report bugs.

The `Help' menu also has an `About Emacs' item
that, lo and behold, displays the splash screen,
with its link to node `Contributing'. So for
both contributing and reporting bugs the `Help'
menu is pretty good.

Consider one or both of these possibilities,
in addition to adding your suggested text to
node `Contributing':

* Change `Help' > `Send Bug Report' to `Help'
  > `Report Bug or Suggestion'
* Add a `Report Bug or Suggestion' link to
  the splash screen

The menu item `Send Bug Report' invokes
`send-emacs-bug-report'.  But that's the
same command you use to send an enhancement
request.  It would help if the menu item
expressed that.  (It would even help if the
command name did so.)

---

BTW, I don't know why the _first_ of the
list of links on the splash page is `Authors'.
I'd suggest moving it later or (better, I
think) just removing it.  It would be good to
have `Contributing' as the first link of the
list.